class Graphe:
    def __init__(self):
        self.liste_adjacence = {}

    def addArete(self, u, v):
        if v not in self.liste_adjacence:
            self.liste_adjacence[v] = []
        if u not in self.liste_adjacence:
            self.liste_adjacence[u] = []
        self.liste_adjacence[u].append(v)
        self.liste_adjacence[v].append(u)

G = Graphe()
G.addArete('A', 'B')
G.addArete('A', 'D')
...
G.addArete('G', 'H')
for key,value in G.liste_adjacence.items():
    print(key,":",value)
